package org.tempuri;

public class HISImplProxy implements org.tempuri.HISImpl_PortType {
  private String _endpoint = null;
  private org.tempuri.HISImpl_PortType hISImpl_PortType = null;
  
  public HISImplProxy() {
    _initHISImplProxy();
  }
  
  public HISImplProxy(String endpoint) {
    _endpoint = endpoint;
    _initHISImplProxy();
  }
  
  private void _initHISImplProxy() {
    try {
      hISImpl_PortType = (new org.tempuri.HISImpl_ServiceLocator()).getHISImplPort();
      if (hISImpl_PortType != null) {
        if (_endpoint != null)
          ((javax.xml.rpc.Stub)hISImpl_PortType)._setProperty("javax.xml.rpc.service.endpoint.address", _endpoint);
        else
          _endpoint = (String)((javax.xml.rpc.Stub)hISImpl_PortType)._getProperty("javax.xml.rpc.service.endpoint.address");
      }
      
    }
    catch (javax.xml.rpc.ServiceException serviceException) {}
  }
  
  public String getEndpoint() {
    return _endpoint;
  }
  
  public void setEndpoint(String endpoint) {
    _endpoint = endpoint;
    if (hISImpl_PortType != null)
      ((javax.xml.rpc.Stub)hISImpl_PortType)._setProperty("javax.xml.rpc.service.endpoint.address", _endpoint);
    
  }
  
  public org.tempuri.HISImpl_PortType getHISImpl_PortType() {
    if (hISImpl_PortType == null)
      _initHISImplProxy();
    return hISImpl_PortType;
  }
  
  public org.tempuri.HISImpl___FounderRequestDataResponse founderRequestData(org.tempuri.HISImpl___FounderRequestData parameters) throws java.rmi.RemoteException{
    if (hISImpl_PortType == null)
      _initHISImplProxy();
    return hISImpl_PortType.founderRequestData(parameters);
  }
  
  public org.tempuri.HISImpl___hisInterfaceResponse hisInterface(org.tempuri.HISImpl___hisInterface parameters) throws java.rmi.RemoteException{
    if (hISImpl_PortType == null)
      _initHISImplProxy();
    return hISImpl_PortType.hisInterface(parameters);
  }
  
  
}